clear all;

if(exist('capData.txt','file') == 2)
    delete('capData.txt');
end

fs = input('Enter Sampling Frequency [MHz] <>  ');
fin = input('Enter Input Frequency [MHz] <>  ');

N = input('Number of Samples? [32768]  <>  ');
if(isempty(N))
    N = 32768;
end

coherentFin;
fs = fs*1e6;
fin = fin*1e6;

fprintf('\n\nCoherent Input Frequency is %8.2f Hz\n\n', fin);

adcName = input('ADC Name? {ads548x,ads6149,ads6129,ads62c1x,ads62p4x,ads62p2x} [ads6149]  <>  ','s');
if(isempty(adcName))
    adcName = 'ads6149';
end

adcChnl = 'A';

if(strcmp(adcName,'ads62p4x') || strcmp(adcName,'ads62p2x') ...
        || strcmp(adcName,'ads62c1x'))
    adcChnl = input('Channel {A,B}? [A] <> ','s');
end

% Initialize and connect the serial port
initSerial;

% make a capture
writeSerial(objSerial1, adcName, N, adcChnl);
ADCout = readSerial(objSerial1, adcName);
size(ADCout)
ADCout = ADCout(1:N);

fid = fopen('capData.txt','w');
fprintf(fid,'%x\n',ADCout);
fclose(fid);

delSerial;

switch lower(adcName)
    case 'ads548x'
        Bits = 16;
    case 'ads6149'
        Bits = 14;
    case 'ads6129'
        Bits = 12;
    case 'ads62c1x'
        Bits = 11;
    case 'ads62p4x'
        Bits = 14;
    case 'ads62p2x'
        Bits = 12;
end

adc_performance(Bits, fs/1e6, fin/1e6, 1, double(ADCout), 0)
    
    